---
title: 201 Created
slug: Web/HTTP/Status/201
tags:
  - HTTP
  - Reference
  - Status code
  - Success
---
<div>{{HTTPSidebar}}</div>

<p>The HTTP <strong><code>201 Created</code></strong> success status response code indicates that the request has succeeded and has led to the creation of a resource. The new resource is effectively created before this response is sent back and the new resource is returned in the body of the message, its location being either the URL of the request, or the content of the {{HTTPHeader("Location")}} header.</p>

<p>The common use case of this status code is as the result of a {{HTTPMethod("POST")}} request.</p>

<h2 id="Status">Status</h2>

<pre class="syntaxbox">201 Created</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Title</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{RFC("7231", "201 Created" , "6.3.2")}}</td>
   <td>Hypertext Transfer Protocol (HTTP/1.1): Semantics and Content</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a class="external" href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</div>

<p>{{Compat("http.status.201")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/HTTP/Methods">HTTP request methods</a></li>
</ul>
